### Function

# Gimp Array new

#### Declaration [src]

    GimpArray*
    gimp_array_new (
      const guint8* data,
      gsize length,
      gboolean static_data
    )

#### Description

No description available.

#### Parameters

`data`

  Type: An array of `guint8`

  No description available.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the function.

`length`

  Type: `gsize`

  No description available.

`static_data`

  Type: `gboolean`

  No description available.

#### Return value

Type: `GimpArray`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.